var gItemAreEnabled = false;
var csInterface = new CSInterface();
var xmlData2;
var welmsg;
var kDiacriticOffsetNotDefined = 1001; 	// See kDiacriticOffsetNotDefined in TextEngineInterface.h
function onLoaded() {
    var rsc = csInterface.initResourceBundle();
    
    themeManager.init();
       
    csInterface.addEventListener("com.adobe.csxs.events.ScribeDOOR_DisplayActivateWindow", DisplayActivateWindow);
	csInterface.addEventListener("com.adobe.csxs.events.ScribeDOOR_DisplayAboutWindow", DisplayAboutWindow);
	csInterface.addEventListener("com.adobe.csxs.events.ScribeDOOR_ActivationDLGOK", okDlg);
	    
	var menuXML =
			"<Menu>"+
			"	<MenuItem Id='AboutScribeDOOR' Label='" + rsc.Menu_About_ScribeDOOR + "' enabled='False' />"+
			"	<MenuItem Label='---' />"+
			"	<MenuItem Id='UpdateCharacterStyle' Label='" + rsc.Menu_CharacterStyle + "'/>"+
			"	<MenuItem Id='UpdateParagraphStyle' Label='" + rsc.Menu_ParagraphStyle + "'/>"+
			"	<MenuItem Label='---' />"+
			"	<MenuItem Id='ApplyWorldReadyComposer' Label='" + rsc.Menu_Apply_WorldReady_Composer + "'/>"+
			"	<MenuItem Label='---' />"+
			"	<MenuItem Id='Geresh' Label='" + rsc.Menu_InsertSpecialChar + " " + rsc.Menu_SpecialChar_Geresh + "'/>"+
			"	<MenuItem Id='Gershayim' Label='" + rsc.Menu_InsertSpecialChar + " " + rsc.Menu_SpecialChar_Gershayim + "'/>"+
			"	<MenuItem Id='Maqaf' Label='" + rsc.Menu_InsertSpecialChar + " " + rsc.Menu_SpecialChar_Maqaf + "'/>"+
			"	<MenuItem Id='SofPasuk' Label='" + rsc.Menu_InsertSpecialChar + " " + rsc.Menu_SpecialChar_SofPasuk + "'/>"+
			"	<MenuItem Label='---' />"+
			"	<MenuItem Id='Kashida' Label='" + rsc.Menu_InsertSpecialChar + " " + rsc.Menu_SpecialChar_Kashida + "'/>"+
			"	<MenuItem Label='---' />"+
			"	<MenuItem Id='DottedCircle' Label='" + rsc.Menu_InsertSpecialChar + " " + rsc.Menu_SpecialChar_DottedCircle + "'/>"+
			"	<MenuItem Label='---' />"+
			"	<MenuItem Id='LeftToRightDash' Label='" + rsc.Menu_InsertSpecialChar + " " + rsc.Menu_SpecialChar_LeftToRightDash + "'/>"+
			"	<MenuItem Id='RightToLeftDash' Label='" + rsc.Menu_InsertSpecialChar + " " + rsc.Menu_SpecialChar_RightToLeftDash + "'/>"+
			"	<MenuItem Label='---' />"+
			"	<MenuItem Id='LeftToRightMarker' Label='" + rsc.Menu_SpecialChar_UnicodeMarkers + " " + rsc.Menu_UnicodeMarkers_LeftToRightMarker + "'/>"+
			"	<MenuItem Id='RightToLeftMarker' Label='" + rsc.Menu_SpecialChar_UnicodeMarkers + " " + rsc.Menu_UnicodeMarkers_RightToLeftMarker + "'/>"+
			"	<MenuItem Id='LeftToRightEmbedding' Label='" + rsc.Menu_SpecialChar_UnicodeMarkers + " " + rsc.Menu_UnicodeMarkers_LeftToRightEmbedding + "'/>"+
			"	<MenuItem Id='RightToLeftEmbedding' Label='" + rsc.Menu_SpecialChar_UnicodeMarkers + " " + rsc.Menu_UnicodeMarkers_RightToLeftEmbedding + "'/>"+
			"	<MenuItem Id='PopDirectionalFormatting' Label='" + rsc.Menu_SpecialChar_UnicodeMarkers + " " + rsc.Menu_UnicodeMarkers_PopDirectionalFormatting + "'/>"+
			"	<MenuItem Id='LeftToRightOverride' Label='" + rsc.Menu_SpecialChar_UnicodeMarkers + " " + rsc.Menu_UnicodeMarkers_LeftToRightOverride + "'/>"+
			"	<MenuItem Id='RightToLeftOverride' Label='" + rsc.Menu_SpecialChar_UnicodeMarkers + " " + rsc.Menu_UnicodeMarkers_RightToLeftOverride + "'/>"+
			"	<MenuItem Id='ZeroWidthJoiner' Label='" + rsc.Menu_SpecialChar_UnicodeMarkers + " " + rsc.Menu_UnicodeMarkers_ZeroWidthJoiner + "'/>"+
			"</Menu>";
    
    csInterface.setPanelFlyoutMenu(menuXML);
	// Listen for the Flyout menu clicks
	csInterface.addEventListener("com.adobe.csxs.events.flyoutMenuClicked", menuClickHandler);
	
	var panelReadyEvent = new CSEvent("com.adobe.csxs.events.ScribeDOOR_PanelReady", "APPLICATION");
	var result = csInterface.dispatchEvent(panelReadyEvent);
}

function DisplayActivateWindow(event) {
    xmlData2 = event.data;   
    CSInterface.prototype.requestOpenExtension("com.winsoft.ScribeDOORUI.activation","");
}

function DisplayAboutWindow(event) {
    CSInterface.prototype.requestOpenExtension("com.winsoft.ScribeDOORUI.about","");
}

function clickLegalNotice() {
    CSInterface.prototype.requestOpenExtension("com.winsoft.ScribeDOORUI.legal","");
}

// Flyout Menu Click Callback
function menuClickHandler(event) {
	if (event.type === "com.adobe.csxs.events.flyoutMenuClicked") {
		switch (event.data.menuId)
		{
			case "AboutScribeDOOR":
				DisplayAboutWindow();
				break;
			case "UpdateCharacterStyle":
				if (gItemAreEnabled)
					UpdateCharacterStyle();
				break;
			case "UpdateParagraphStyle":
				if (gItemAreEnabled)
					UpdateParagraphStyle();
				break;
			case "ApplyWorldReadyComposer":
				if (gItemAreEnabled)
					ApplyWorldReadyComposer();
				break;
			default:
				if (gItemAreEnabled)
				{
					var insertCharEvent =  new CSEvent("com.adobe.csxs.events.ScribeDOOR_InsertSpecialCharacter", "APPLICATION");
					var xmlData = "<payload><menuitem>" +event.data.menuId + "</menuitem></payload>";
					
					insertCharEvent.data = xmlData;
					var result = csInterface.dispatchEvent(insertCharEvent);
				}
		}
	} 
}

function UpdateCharacterStyle() {
    var updateCharacterStyleEvent =  new CSEvent("com.adobe.csxs.events.ScribeDOOR_UpdateCharacterStyle", "APPLICATION");
	updateCharacterStyleEvent.data = "<payload><menuitem>UpdateCharacterStyle</menuitem></payload>";
	
	csInterface.dispatchEvent(updateCharacterStyleEvent);
}

function UpdateParagraphStyle() {
	var updateParagraphStyleEvent =  new CSEvent("com.adobe.csxs.events.ScribeDOOR_UpdateParagraphStyle", "APPLICATION");
	updateParagraphStyleEvent.data = "<payload><menuitem>UpdateParagraphStyle</menuitem></payload>";
	
	csInterface.dispatchEvent(updateParagraphStyleEvent);
}

function ApplyWorldReadyComposer() {
	var applyWorldReadyComposerEvent =  new CSEvent("com.adobe.csxs.events.ScribeDOOR_ApplyWorldReadyComposer", "APPLICATION");
	applyWorldReadyComposerEvent.data = "<payload><menuitem>ApplyWorldReadyComposer</menuitem></payload>";

	csInterface.dispatchEvent(applyWorldReadyComposerEvent);
}
	
function ScribeDOORController($scope) {
	csInterface.addEventListener("com.adobe.csxs.events.ScribeDOOR_EnableItems", enableItems);
	csInterface.addEventListener("com.adobe.csxs.events.ScribeDOOR_UpdateLanguagesList", updateLanguagesList);
	csInterface.addEventListener("com.adobe.csxs.events.ScribeDOOR_UpdateParagraphAttributes", updateParagraphAttributes);
	csInterface.addEventListener("com.adobe.csxs.events.ScribeDOOR_UpdateCharacterAttributes", updateCharacterAttributes);
	$scope.gItemAreDisabled = !gItemAreEnabled;
	$scope.isSLTRActive = false;
	$scope.isSRTLActive = false;
	var rsc = csInterface.initResourceBundle();
	$scope.languages = [{ value: 1, name: rsc.Menu_Language_ArabicLanguage }, { value: 2, name: rsc.Menu_Language_FarsiLanguage }, { value: 3, name: rsc.Menu_Language_HebrewLanguage }, { value: 4, name: rsc.Menu_Language_ThaiLanguage }];
	function enableItems(event) {
		var xmlDoc = $.parseXML(event.data);
		$xml = $( xmlDoc );
        gItemAreEnabled = $xml.find('enableitems').text();
		$scope.$apply(function () {
			$scope.gItemAreDisabled = !gItemAreEnabled;
        });
	}
	
	function updateLanguagesList(event) 
	{
		var xmlDoc = $.parseXML(event.data);
		$xml = $( xmlDoc );
		$scope.$apply(function () {
			var languages = [];
			$($xml).find("language").each(function() {
				languages.push({ value:$(this).find("id").text(), name:$(this).find("name").text() });
			});
			$scope.languages = languages;
        });
	}
	
	function updateParagraphAttributes(event) {
		var xmlDoc = $.parseXML(event.data);
		$xml = $( xmlDoc );
		var data = $xml.find("StoryDirection");
		if (data.length > 0)
		{
			var storyDir = data.text();
			$scope.$apply(function () {
				$scope.isSLTRActive = (storyDir == 1);
				$scope.isSRTLActive = (storyDir == 2);
			});
		}
		
		data = $xml.find("ParagraphComposer");
		if (data.length > 0)
		{
			var composer = data.text();
			$scope.$apply(function () {
				if (composer == 5)	// ComposerNotDefined
					$scope.composer = -1;
				else
					$scope.composer = composer;
			});
		}

		data = $xml.find("ParagraphDirection");
		if (data.length > 0)
		{
			var paraDir = data.text();
			$scope.$apply(function () {
				$scope.isPLTRActive = (paraDir == 1);
				$scope.isPRTLActive = (paraDir == 2);
			});
		}
		
		data = $xml.find("ParagraphJustification");
		if (data.length > 0)
		{
			var justification = data.text();
			$scope.$apply(function () {
				if (justification == 5)	// KashidaWidthUndefined
					$scope.justification = -1;
				else
					$scope.justification = justification;
			});
		}

	}
	
	function updateCharacterAttributes(event) {
		
		var xmlDoc = $.parseXML(event.data);
		$xml = $( xmlDoc );
		var data = $xml.find("CharacterDirection");
		if (data.length > 0)
		{
			var aDirection = data.text();
			$scope.$apply(function () {
				if (aDirection == 4)	// CharDirectionNotDefined
					$scope.direction = -1;
				else
					$scope.direction = aDirection;
			});
		}
		
		data = $xml.find("CharacterKashidas");
		if (data.length > 0)
		{
			var kashida = data.text();
			$scope.$apply(function () {
				$scope.kashida = (kashida == 2);
			});
		}
		
		data = $xml.find("CharacterDigits");
		if (data.length > 0)
		{
			var digits = data.text();
			$scope.$apply(function () {
				if (digits < 18)
					$scope.digits = digits;
				else
					$scope.digits = -1;
			});	
		}
		
		data = $xml.find("CharacterDiacriticsType");
		if (data.length > 0)
		{
			var diacriticsType = data.text();
			$scope.$apply(function () {
				if (diacriticsType == 6)	// DiacritcsNotDefined
					$scope.diacritics = -1;
				else
					$scope.diacritics = diacriticsType;
			});	
		}
		
		data = $xml.find("CharacterDiacXOffset");
		if (data.length > 0)
		{
			var diacXOffset = data.text();
			$scope.$apply(function () {
				if (diacXOffset == kDiacriticOffsetNotDefined)
					$scope.diacriticsX = "";
				else
					$scope.diacriticsX = diacXOffset;
			});	
		}
			
		data = $xml.find("CharacterDiacYOffset");
		if (data.length > 0)
		{
			var diacYOffset = data.text();
			$scope.$apply(function () {
				if (diacYOffset == kDiacriticOffsetNotDefined)
					$scope.diacriticsY = "";
				else
					$scope.diacriticsY = diacYOffset;
			});	
		}

		data = $xml.find("CharacterLanguage");
		if (data.length > 0)
		{
			var language = data.text();
			$scope.$apply(function () {
				if (language == 1000)	// ATE::kInvalidLanguage
					$scope.language = -1;
				else
				{
					$scope.language = language;						
				}
			});	
		}
	}
	
	$scope.clickStoryButton = function (value) {
		$scope.isSLTRActive = (value == 1);
		$scope.isSRTLActive = (value == 2);
		var storyDirectionChangedEvent =  new CSEvent("com.adobe.csxs.events.ScribeDOOR_StoryDirectionChanged", "APPLICATION");
		storyDirectionChangedEvent.data = "<payload><StoryDirection>" + value + "</StoryDirection></payload>";

		csInterface.dispatchEvent(storyDirectionChangedEvent);
	}
	
	$scope.clickParagraphDirButton = function (value) {
		$scope.isPLTRActive = (value == 1);
		$scope.isPRTLActive = (value == 2); 
		var paragraphDirectionChangedEvent =  new CSEvent("com.adobe.csxs.events.ScribeDOOR_ParagraphDirectionChanged", "APPLICATION");
		paragraphDirectionChangedEvent.data = "<payload><ParagraphDirection>" + value + "</ParagraphDirection></payload>";

		csInterface.dispatchEvent(paragraphDirectionChangedEvent);
	}
	
	$scope.selectParagraphComposer = function () {
		if (($scope.composer >0) && ($scope.composer < 5))
		{
			var paragraphComposerChangedEvent =  new CSEvent("com.adobe.csxs.events.ScribeDOOR_ParagraphComposerChanged", "APPLICATION");
			paragraphComposerChangedEvent.data = "<payload><ParagraphComposer>" + $scope.composer + "</ParagraphComposer></payload>";

			csInterface.dispatchEvent(paragraphComposerChangedEvent);
		}
	}
	
	$scope.selectParagraphJustification = function () {
		if (($scope.justification >-1) && ($scope.justification < 5))
		{
			var paragraphJustificationChangedEvent =  new CSEvent("com.adobe.csxs.events.ScribeDOOR_ParagraphJustificationChanged", "APPLICATION");
			paragraphJustificationChangedEvent.data = "<payload><ParagraphJustification>" + $scope.justification + "</ParagraphJustification></payload>";

			csInterface.dispatchEvent(paragraphJustificationChangedEvent);
		}
	}
	
	$scope.selectCharacterDirection = function () {
		if (($scope.direction >0) && ($scope.direction < 4))
		{
			var characterDirectionChangedEvent =  new CSEvent("com.adobe.csxs.events.ScribeDOOR_CharacterDirectionChanged", "APPLICATION");
			characterDirectionChangedEvent.data = "<payload><CharacterDirection>" + $scope.direction + "</CharacterDirection></payload>";

			csInterface.dispatchEvent(characterDirectionChangedEvent);
		}
	}
	
	$scope.selectCharacterDigits = function () {
		if ($scope.digits > 0)
		{
			var digitsChangedEvent =  new CSEvent("com.adobe.csxs.events.ScribeDOOR_DigitsChanged", "APPLICATION");
			digitsChangedEvent.data = "<payload><CharacterDigits>" + $scope.digits + "</CharacterDigits></payload>";

			csInterface.dispatchEvent(digitsChangedEvent);
		}
	}
	
	$scope.selectCharacterDiacriticsType = function () {
		if ($scope.diacritics > 0)
		{
			var diacriticsChangedEvent =  new CSEvent("com.adobe.csxs.events.ScribeDOOR_CharacterDiacriticTypeChanged", "APPLICATION");
			diacriticsChangedEvent.data = "<payload><CharacterDiacriticsType>" + $scope.diacritics + "</CharacterDiacriticsType></payload>";

			csInterface.dispatchEvent(diacriticsChangedEvent);
		}
	}
	
	$scope.$watch('diacriticsX', function() {
        $scope.diacriticsX = parseInt($scope.diacriticsX);
		if ($scope.diacriticsX > 1000)
			$scope.diacriticsX = 1000;
		
		if ($scope.diacriticsX < -1000)
			$scope.diacriticsX = -1000;
    });
	
	$scope.$watch('diacriticsY', function() {
        $scope.diacriticsY = parseInt($scope.diacriticsY);
		if ($scope.diacriticsY > 1000)
			$scope.diacriticsY = 1000;
		
		if ($scope.diacriticsY < -1000)
			$scope.diacriticsY = -1000;
    });
	
	$scope.ChooseXDiacOffset = function () {
		var diacOffsetChangedEvent =  new CSEvent("com.adobe.csxs.events.ScribeDOOR_CharacterDiacriticXChanged", "APPLICATION");
		diacOffsetChangedEvent.data = "<payload><CharacterDiacXOffset>" + $scope.diacriticsX + "</CharacterDiacXOffset></payload>";

		csInterface.dispatchEvent(diacOffsetChangedEvent);
	}
	
	$scope.ChooseYDiacOffset = function () {
		var diacOffsetChangedEvent =  new CSEvent("com.adobe.csxs.events.ScribeDOOR_CharacterDiacriticYChanged", "APPLICATION");
		diacOffsetChangedEvent.data = "<payload><CharacterDiacYOffset>" + $scope.diacriticsY + "</CharacterDiacYOffset></payload>";

		csInterface.dispatchEvent(diacOffsetChangedEvent);
	}
	
	$scope.selectCharacterLanguage = function () {
		if ($scope.language > 0)
		{
			var languageChangedEvent =  new CSEvent("com.adobe.csxs.events.ScribeDOOR_CharacterLanguageChanged", "APPLICATION");
			languageChangedEvent.data = "<payload><CharacterLanguage>" + $scope.language + "</CharacterLanguage></payload>";

			csInterface.dispatchEvent(languageChangedEvent);
		}
	}
	
	$scope.clickKashida = function () {
		var value = ($scope.kashida ? 2 : 1);
		var kashidaChangedEvent =  new CSEvent("com.adobe.csxs.events.ScribeDOOR_KashidasChanged", "APPLICATION");
		kashidaChangedEvent.data = "<payload><CharacterKashidas>" + value + "</CharacterKashidas></payload>";

		csInterface.dispatchEvent(kashidaChangedEvent);
	}
}

function exit() {
	var csInterface = new CSInterface();
	csInterface.closeExtension();
}

function onLoadAbout() {
	var csInterface = new CSInterface();
	var rsc = csInterface.initResourceBundle();
}

function onLoadLegal() {
	var csInterface = new CSInterface();
	var rsc = csInterface.initResourceBundle();
	$.ajax({
           url : "../locale/Legal.en_US.txt",
           dataType: "text",
           success : function (data) {
               $("#Legal_Text").text(data);
           }
       });
}

function onLoadActivation() {
	var csInterface = new CSInterface();
	var rsc = csInterface.initResourceBundle();
	var okEvent =  new CSEvent("com.adobe.csxs.events.ScribeDOOR_ActivationDLGOK", "APPLICATION");
	csInterface.dispatchEvent(okEvent);
	
	document.getElementById("SerialTextInput").focus();
}

function okDlg(event) {
	var okEvent =  new CSEvent("com.adobe.csxs.events.ScribeDOOR_ActivationDLGOK2", "APPLICATION");
	okEvent.data= xmlData2;
	csInterface.dispatchEvent(okEvent);
}


function ActivationController($scope) {
	var csInterface = new CSInterface();
	csInterface.addEventListener("com.adobe.csxs.events.ScribeDOOR_ActivationDLGOK2", okDlg2);
	csInterface.addEventListener("com.adobe.csxs.events.ScribeDOOR_SerialValidation", serialValidation);
	var gSerialSentString="";
	function okDlg2(event) {
		$scope.$apply(function () {
			var xmlDoc = $.parseXML(event.data);
			$xml = $( xmlDoc );
            $scope.welcomeString = $xml.find('welcomestaticstring').text();
			$scope.daysLeft =$xml.find('daysleft').text();
			$scope.isAnnual =$xml.find('isannual').text();
			$scope.daysLeftString =$xml.find('daysleftstaticstring').text();
			$scope.thankYouString =$xml.find('thankyoustaticstring').text();
			$scope.iHaveSerialString =$xml.find('ihaveserialstaticstring').text();
			$scope.yourSerialString =$xml.find('yourserialstaticstring').text();
			$scope.iWantToTryString =$xml.find('iwanttotrystaticstring').text();
			$scope.needASerialString =$xml.find('needaserialstaticstring').text();
			$scope.buyOneString =$xml.find('buyonestaticstring').text();
			$scope.isTry = false;
			$scope.serialTry = "Serial";
			if (($scope.daysLeft == 0) || ($scope.isAnnual != 0))
				$scope.isTry = true;
        });
	}
	
	$scope.clickCancelButton = function () {
		var sendCancelEvent =  new CSEvent("com.adobe.csxs.events.ScribeDOOR_CancelActivateDialog", "APPLICATION");
		sendCancelEvent.data = "<payload><CancelActivateDialog>" + "</CancelActivateDialog></payload>";

		csInterface.dispatchEvent(sendCancelEvent);
		
		csInterface.closeExtension();
	}
	
	$scope.windows_keyDownHandler = function(keyEvent) {
		/*switch (event.keyCode)
		{
			case 13:
			case 10:
				break;
			case 27:	// escape
				clickCancelButton(null);
				break;
			default:
				break;
		}*/
	}
	
	$scope.clickContinueButton = function () {
		if (document.getElementById("SerialButton").checked)
		{
			if ($scope.serialnumber == gSerialSentString)
			{
				var sendActivateEvent = new CSEvent("com.adobe.csxs.events.ScribeDOOR_Activate", "APPLICATION");
				sendActivateEvent.data = "<payload><Activate>" + gSerialSentString + "</Activate></payload>";

				csInterface.dispatchEvent(sendActivateEvent);
			}
		}
		else
		{
			var sendTestingEvent =  new CSEvent("com.adobe.csxs.events.ScribeDOOR_ContinueTrial", "APPLICATION");
			sendTestingEvent.data = "<payload><ContinueTrial>" + "</ContinueTrial></payload>";

			csInterface.dispatchEvent(sendTestingEvent);
		}
		csInterface.closeExtension();
	}
	
	$scope.clickBuyButton = function () {
		var sendBuyEvent =  new CSEvent("com.adobe.csxs.events.ScribeDOOR_Buy", "APPLICATION");
		sendBuyEvent.data = "<payload><Buy>" + "</Buy></payload>";

		csInterface.dispatchEvent(sendBuyEvent);
	}
	
	$scope.radioChange = function () {
		if ($scope.serialTry == "Serial")
			$scope.validSerial = false;
		else {
			$scope.serialnumber = "";
			$scope.validSerial = true;
		}
	}
	
	$scope.ScribeDOOR_clickHandler = function () {
		var sendGoToScribeDOOREvent =  new CSEvent("com.adobe.csxs.events.ScribeDOOR_GoToScribeDOOR", "APPLICATION");
		sendGoToScribeDOOREvent.data = "<payload><GoToScribeDOOR>" + "</GoToScribeDOOR></payload>";
		
		csInterface.dispatchEvent(sendGoToScribeDOOREvent);
	}
	
	$scope.WinSoft_clickHandler = function () {
		var sendGoToWinSoftEvent =  new CSEvent("com.adobe.csxs.events.ScribeDOOR_GoToWinSoft", "APPLICATION");
		sendGoToWinSoftEvent.data = "<payload><GoToWinSoft>" + "</GoToWinSoft></payload>";
		
		csInterface.dispatchEvent(sendGoToWinSoftEvent);
	}
	
	function serialValidation(event) {
		$scope.$apply(function () {
			var xmlDoc = $.parseXML(event.data);
			$xml = $( xmlDoc );
            var serialString = $xml.find('serialvalidation').text();	
			if (serialString == gSerialSentString)
			{
				$scope.infoIcon = "P_Valid.png";
				$scope.validSerial = true;
			}
			else
			{
				$scope.infoIcon = "P_NotValid.png";
				$scope.validSerial = false;
			}
        });
	}
	
	$scope.SerialTextInput_changeHandler = function () {
		$scope.validSerial = false;
		if ($scope.serialnumber.length < 20 || $scope.serialnumber.length > 24)
		{
			$scope.infoIcon = "P_NotValid.png";
		}
		else if ($scope.serialnumber.length > 0)
		{
			$scope.infoIcon = "P_NotValid.png";
			gSerialSentString = $scope.serialnumber;
			var sendTestingEvent =  new CSEvent("com.adobe.csxs.events.ScribeDOOR_SerialTesting", "APPLICATION");
			sendTestingEvent.data = "<payload><SerialTesting>" + gSerialSentString + "</SerialTesting></payload>";

			csInterface.dispatchEvent(sendTestingEvent);			
		}
	}
}
